org.eclipse.rdf4j.sail.lucene.fn

## Class DistanceTupleFunction

- java.lang.Object
- - org.eclipse.rdf4j.sail.lucene.fn.DistanceTupleFunction

- All Implemented Interfaces:
    TupleFunction

  Deprecated.
  since 3.0. The LuceneSpinSail is to removed in the next major release.

      @Deprecated
      public class DistanceTupleFunction
      extends Object
      implements TupleFunction

  Arguments:
  1. from is the WKT point to measure from.
  2. maxDistance is the maximum distance to consider.
  3. units are the measurement units.
  4. geoProperty is the predicate to use.
  5. search:distance else omitted.
  6. search:context else omitted.
  Results:
  1. subject is the subject whose geometry is within the given max distance.
  2. to is the WKT of the shape measured to.
  3. distance is the distance to the shape if search:distance is present.
  4. context is the context if search:context is present.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DistanceTupleFunction()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `CloseableIteration<? extends List<? extends Value>,QueryEvaluationException>` | `evaluate(ValueFactory valueFactory, Value... args)` Deprecated.
    `String` | `getURI()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DistanceTupleFunction

          public DistanceTupleFunction()

      Deprecated.

  - ### Method Detail

    - #### getURI

          public String getURI()

      Deprecated.
      Specified by:
        `getURI` in interface `TupleFunction`

    - #### evaluate

          public CloseableIteration<? extends List<? extends Value>,QueryEvaluationException> evaluate(ValueFactory valueFactory,
                                                                                                       Value... args)
                                                                                                throws QueryEvaluationException

      Deprecated.
      Specified by:
        `evaluate` in interface `TupleFunction`
      Throws:
        `QueryEvaluationException`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.